﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using ThinkGeo.MapSuite.Core;
namespace sThinkGeoColumnQueryToolsProblem
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void cmdTest_Click(object sender, EventArgs e)
        {
            ShapeFileFeatureLayer layer = new ShapeFileFeatureLayer(Server.MapPath("~/APP_DATA/freguesia.shp"));
            layer.RequireIndex = false;
            layer.Open();
            try
            {
              DataTable dt=  layer.QueryTools.ExecuteQuery("SELECT ID,FREGUESIA FROM FREGUESIA");
                this.result.InnerHtml = String.Format("Found {0} Rows", dt.Rows.Count);
            }
            catch (Exception ex)
            {
                this.result.InnerHtml = ex.Message;
            }
          

            layer.Close();
        }
    }
}